# -*- coding: utf-8 -*-
import os
from io import open
from setuptools import setup
from setuptools import find_packages

here = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(here, "README.md"), "r", encoding="utf-8") as fobj:
    long_description = fobj.read()

with open(os.path.join(here, "requirements.txt"), "r", encoding="utf-8") as fobj:
    requires = [x.strip() for x in fobj.readlines() if x.strip()]

setup(
    name="bizerror",
    version="0.4.11",
    description="Collections of common business errors.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="Qian Pan",
    author_email="qianpan@zencore.cn",
    maintainer="Qian Pan",
    maintainer_email="qianpan@zencore.cn",
    license="MIT",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
    ],
    keywords=["bizerror"],
    install_requires=requires,
    packages=find_packages("."),
    entry_points={
        "console_scripts": [
            "bizerror-generator = bizerror.generator:main",
        ]
    },
)
